Webhooks

View as Markdown

Update Webhook

PATCH
/human/v0/inboxes/{inbox_id}/webhooks/{webhook_id}

Path Parameters

webhook_id*string
inbox_id*string

Header Parameters

Authorization*string

Bearer authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.agentry.to/human/v0/inboxes/string/webhooks/string" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "webhook_id": "string",
  "inbox_id": "string",
  "target_url": "http://example.com",
  "event_types": [
    "message.received"
  ],
  "enrichment_policy": {},
  "secret": "string",
  "enabled": true,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}

Delete Webhook

DELETE
/human/v0/inboxes/{inbox_id}/webhooks/{webhook_id}

Path Parameters

webhook_id*string
inbox_id*string

Header Parameters

Authorization*string

Bearer authentication

Response Body

curl -X DELETE "https://api.agentry.to/human/v0/inboxes/string/webhooks/string" \  -H "Authorization: string"
Empty

List Webhooks

GET
/human/v0/inboxes/{inbox_id}/webhooks

Path Parameters

inbox_id*string

Query Parameters

limit?integer
Range1 <= value <= 100
page_token?string
ascending?boolean

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X GET "https://api.agentry.to/human/v0/inboxes/string/webhooks" \  -H "Authorization: string"
{
  "count": 0,
  "limit": 0,
  "next_page_token": "string",
  "webhooks": [
    {
      "webhook_id": "string",
      "inbox_id": "string",
      "target_url": "http://example.com",
      "event_types": [
        "message.received"
      ],
      "enrichment_policy": {},
      "secret": "string",
      "enabled": true,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}

Create Webhook

POST
/human/v0/inboxes/{inbox_id}/webhooks

Path Parameters

inbox_id*string

Header Parameters

Authorization*string

Bearer authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.agentry.to/human/v0/inboxes/string/webhooks" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{    "target_url": "http://example.com",    "event_types": [      "message.received"    ]  }'
{
  "webhook_id": "string",
  "inbox_id": "string",
  "target_url": "http://example.com",
  "event_types": [
    "message.received"
  ],
  "enrichment_policy": {},
  "secret": "string",
  "enabled": true,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}